from gi.repository import Gtk, Adw

from ..tools.command_runner import CommandRunner

@Gtk.Template(resource_path='/ru/eepm/PlayGUI/widgets/logdialog.ui')
class LogDialog(Adw.Dialog):
    __gtype_name__ = 'LogDialog'
    logdialog_textview = Gtk.Template.Child()

    question_revealer = Gtk.Template.Child()
    question_label = Gtk.Template.Child()
    question_button_1 = Gtk.Template.Child()
    question_button_2 = Gtk.Template.Child()

    def __init__(self, win, **kwargs):
        super().__init__(**kwargs)
        self.win = win

    def run(self, command, on_done):
        self.present(self.win)
        # Создание и передача функции обратного вызова для обновления UI
        runner = CommandRunner()
        runner.run_command(command, on_done, dialog=self)
